/**
 * XParticipationVrfRespSprfWit.java
 *
 * File generated from the medication::XParticipationVrfRespSprfWit uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XParticipationVrfRespSprfWit.
 *
 * 
 */

@XmlType(name = "XParticipationVrfRespSprfWit")
@XmlEnum
@XmlRootElement(name = "XParticipationVrfRespSprfWit")
public enum XParticipationVrfRespSprfWit {
	@XmlEnumValue("VRF")
	VRF("VRF"),
	@XmlEnumValue("RESP")
	RESP("RESP"),
	@XmlEnumValue("SPRF")
	SPRF("SPRF"),
	@XmlEnumValue("WIT")
	WIT("WIT");
	
	private final String value;

    XParticipationVrfRespSprfWit(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XParticipationVrfRespSprfWit fromValue(String v) {
        for (XParticipationVrfRespSprfWit c: XParticipationVrfRespSprfWit.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}